Get products in a collection
GET https://{handle}.myshopline.com/admin/openapi/v20261201/products/collections/:collection_id/products.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get a list of products in a specific collection.
Path Parameters
- collection_id string requiredThe unique identifier for the collection.
Maximum length: 64Example:16050375155238626683133099
Query Parameters
- fields stringSpecify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the
productsobject in the response.Example:title,id - limit stringThe quantity limit of products to be queried.
Value range: 1-250
Default Value: 50 - page_info stringThe unique identifier for pagination queries, used to locate a specific page.This parameter value is obtained from the
linkvalue in the response header of this API after you have queried the pagination information.For example, if thelinkvalue you obtained is<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next", the value ofpage_infoiseyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9.For more information on how to use pagination, refer to Paging Mechanism.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
link
The URL link that provides the pagination data. You can obtainpage_infofrom this parameter for subsequent pagination requests.This parameter is returned when the requested page has a previous or next page.For more information on how to use pagination, refer to Paging Mechanism.traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
productsobject[]
A list of products.status stringThe status of the product. Valid values are:active: products on shelvesdraft: products off shelvesarchived: products archiving
updated_at stringThe date and time when the product was last updated. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00variantsobject[]
A list of product variants.inventory_quantity integerThe total inventory quantity at all storage locations.Example:99option2 stringInformation of the second option of the variant.Example:xloption3 stringInformation of the third option of the variant.Example:cottonrequired_shipping booleanIndicates whether the variant is required to be shipped.true: Shipping is required.false: Shipping is not required.
taxable booleanIndicates whether the variant is subject to tax.true: Tax is required.false: Tax is not required.
weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
barcode stringThe barcode of the variant.Example:T0000001inventory_item_id stringThe unique identifier for the inventory item.Example:5785060242375689228inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
option5 stringInformation of the fifth option of the variant.Example:casualposition integerThe ordering position of the variant within the variant list.Example:1compare_at_price stringThe original price of the variant. The value is rounded to two decimal places.Example:129.99id stringThe unique identifier for the variant.Example:18057850264851626133510282imageobject
The image of the variant.alt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the variant image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pnginventory_policy stringIndicates whether the variant is allowed to be oversold.deny: Does not allow overselling.continue: Allow overselling.
option1 stringInformation of the first option of the variant.Example:redoption4 stringInformation of the fourth option of the variant.Example:shortprice stringThe selling price of the variant. The value is rounded to two decimal places.Example:90.22product_id stringThe unique identifier for the product corresponding to the variant.Example:16057850264845250791280282sku stringThe product SKU. It is distinct fromvariants.idreturned by SHOPLINE.Example:S000000001title stringThe title of the variant, assembled from the option value of the variant.Example:red · xlweight stringThe weight of the variant. The value is rounded up if it exceeds two decimal places.Example:0.23spu stringThe identifier customized for the product by the merchant. It is distinct fromproducts.idreturned by SHOPLINE.Example:S0000001imagesobject[]
A list of product images.alt stringThe alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the product image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngpath stringThe relative path of the product page.Example:/products/clothestitle stringThe title of the product.Example:This is a Product titlecreated_at stringThe date and time when the product was created. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00imageobject
The cover image of the product.alt stringThe alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.src stringThe link to the image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngsubtitle stringThe subtitle of the product.Example:This is a subtitletags stringA list of tags of the product.Example:tag1, tag2body_html stringThe product description.id stringThe unique identifier for the product.Example:16057850264845250791280282optionsobject[]
A list of product options.id stringThe unique identifier for the option.Example:16158068291703878544960282name stringThe name of the option.Example:Colorproduct_id stringThe unique identifier for the product corresponding to the option.Example:16057850264845250791280282values arrayA list of option values.Example:["[\"red\", \"green\", \"white\"]"]values_images mapThe mapping relationship between the option value and the corresponding image URL.Example:{"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}product_behavior stringUsed to identify the special behavior of the product. This field returns a value only under certain conditions.For example, if the product has potential risks, the field returns a value.Example:RISK,HIDDENpublished_at stringThe date and time when the product was published to the online store. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00published_scope stringThe published scope of product sales channels. The value of this field is fixed toweb, indicating an online store.template_path stringThe theme template of the product.Example:templates/product.product_template_name.jsonvendor stringThe brand or vendor of the product.Example:SHOPLINEhandle stringThe semantically unique identifier for the product, which is generated based ontitleby default.Example:product-handleproduct_type stringThe source of the product. Valid values are:NORMAL: products maintained in the SHOPLINE AdminPOD_TEMPORARY: temporary products in the Product Option Customizer&ProductBundler appTEMPORARY: other temporary products
API Explorer
Debugger
Examples
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201
ParamOptions
ParamOptions
— path required
— header required
— query
— query
— query
Language
Language
curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/products/collections/collection_id/products.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get products in a collection
Response
{
"products": [
{
"published_scope": "web",
"subtitle": "This is a subtitle",
"updated_at": "2023-08-28T19:26:10+08:00",
"vendor": "Shopline",
"created_at": "2023-06-12T17:45:43+08:00",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"id": "16159766321249077818763144",
"name": "Size",
"product_id": "16059766321245219059003144",
"values": [
"L"
],
"values_images": {}
},
{
"id": "16159766321249077818793144",
"name": "Color",
"product_id": "16059766321245219059003144",
"values": [
"White"
],
"values_images": {}
}
],
"product_type": "NORMAL",
"published_at": "2023-06-12T17:45:43+08:00",
"spu": "S000000001",
"tags": "T shirt,Spring",
"body_html": "<p>This is a desription</p>",
"id": "16059766321245219059003144",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
},
"product_behavior": "",
"status": "active",
"template_path": "templates/products/detail.html",
"title": "My Product 1",
"variants": [
{
"compare_at_price": "120.00",
"id": "18059766321249077818743144",
"inventory_tracker": true,
"option2": "White",
"price": "100.00",
"required_shipping": true,
"barcode": "T00000001",
"inventory_item_id": "5976632126082151706",
"inventory_policy": "continue",
"inventory_quantity": 580,
"position": 1,
"product_id": "16059766321245219059003144",
"title": "L · White",
"weight": "10.00",
"weight_unit": "g",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option1": "L",
"sku": "S00000000101",
"taxable": true
}
],
"handle": "t-shop-1"
},
{
"image": {
"alt": "This is a image alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_type": "NORMAL",
"spu": "S000000001",
"title": "My Product 23",
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:52:10+08:00",
"id": "16060878916899800731963144",
"images": [
{
"alt": "This is a image alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"product_behavior": "",
"published_at": "2023-08-28T11:52:10+08:00",
"tags": "Spring,T shirt",
"vendor": "Shopline",
"options": [
{
"product_id": "16060878916899800731963144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {},
"id": "16160878916903491719563144",
"name": "Size"
},
{
"values_images": {},
"id": "16160878916903491719593144",
"name": "Color",
"product_id": "16060878916899800731963144",
"values": [
"White"
]
}
],
"subtitle": "This is a subtitle",
"template_path": "templates/products/detail.html",
"status": "active",
"handle": "my-product-23",
"published_scope": "web",
"updated_at": "2023-08-28T15:14:39+08:00",
"variants": [
{
"inventory_item_id": "6087891691791978273",
"taxable": true,
"title": "L · White",
"weight_unit": "g",
"id": "18060878916903491719543144",
"inventory_tracker": true,
"option1": "L",
"option2": "White",
"price": "100.00",
"required_shipping": true,
"sku": "S00000000101",
"compare_at_price": "120.00",
"image": {
"alt": "This is a image alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_quantity": 580,
"weight": "10.00",
"barcode": "T00000001",
"inventory_policy": "continue",
"position": 1,
"product_id": "16060878916899800731963144"
},
{
"id": "18060878916903491719633144",
"inventory_policy": "deny",
"barcode": "B0000000001",
"inventory_quantity": 100,
"sku": "S00000000102",
"weight": "50.00",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option1": "XL",
"option2": "White",
"position": 2,
"weight_unit": "g",
"inventory_item_id": "6087891691791978274",
"inventory_tracker": true,
"price": "100.00",
"product_id": "16060878916899800731963144",
"required_shipping": true,
"taxable": true,
"title": "XL · White",
"compare_at_price": "120.00"
},
{
"price": "100.00",
"sku": "S00000000103",
"inventory_policy": "deny",
"inventory_quantity": 170,
"inventory_tracker": true,
"required_shipping": true,
"weight": "50.00",
"id": "18060878916903491719693144",
"inventory_item_id": "6087891691791978272",
"option1": "XXL",
"option2": "White",
"taxable": true,
"weight_unit": "g",
"barcode": "B0000000001",
"compare_at_price": "120.00",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"position": 3,
"product_id": "16060878916899800731963144",
"title": "XXL · White"
}
]
},
{
"template_path": "templates/products/detail.html",
"updated_at": "2023-08-28T15:12:18+08:00",
"product_type": "NORMAL",
"variants": [
{
"inventory_tracker": true,
"option1": "White",
"price": "100.00",
"required_shipping": true,
"title": "White",
"compare_at_price": "120.00",
"taxable": true,
"id": "18060878906569901176473144",
"image": {
"alt": "Seo Title",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"product_id": "16060878906566210188893144",
"weight": "10.00",
"barcode": "T00000001",
"inventory_quantity": 580,
"position": 1,
"sku": "S00000000101",
"weight_unit": "g",
"inventory_item_id": "6087890657963176169",
"inventory_policy": "continue"
}
],
"spu": "S000000001",
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:51:09+08:00",
"image": {
"alt": "My Product 20",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"published_scope": "web",
"tags": "Spring,T shirt",
"options": [
{
"id": "16160878906569901176493144",
"name": "Color",
"product_id": "16060878906566210188893144",
"values": [
"White"
],
"values_images": {}
}
],
"product_behavior": "",
"subtitle": "This is a subtitle",
"title": "My Product 20",
"vendor": "Shopline",
"status": "active",
"handle": "my-product-20",
"id": "16060878906566210188893144",
"images": [
{
"alt": "My Product 20",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
}
],
"published_at": "2023-08-28T11:51:09+08:00"
},
{
"spu": "S000000001",
"subtitle": "This is a subtitle",
"updated_at": "2023-08-28T12:46:37+08:00",
"variants": [
{
"inventory_policy": "continue",
"inventory_tracker": true,
"position": 1,
"required_shipping": true,
"title": "L · White",
"inventory_quantity": 580,
"option2": "White",
"product_id": "16060879464944338685503144",
"taxable": true,
"weight": "10.00",
"compare_at_price": "120.00",
"inventory_item_id": "6087946495557900202",
"option1": "L",
"sku": "S00000000101",
"barcode": "T00000001",
"id": "18060879464948700761723144",
"price": "100.00",
"weight_unit": "g"
},
{
"required_shipping": true,
"option2": "White",
"weight": "50.00",
"inventory_quantity": 100,
"option1": "XL",
"position": 2,
"sku": "S00000000102",
"title": "XL · White",
"weight_unit": "g",
"barcode": "B0000000001",
"compare_at_price": "120.00",
"inventory_item_id": "6087946495557900201",
"inventory_policy": "deny",
"inventory_tracker": true,
"price": "100.00",
"product_id": "16060879464944338685503144",
"id": "18060879464948700761813144",
"taxable": true
},
{
"compare_at_price": "120.00",
"option2": "White",
"position": 3,
"price": "100.00",
"product_id": "16060879464944338685503144",
"weight_unit": "g",
"barcode": "B0000000001",
"inventory_quantity": 170,
"inventory_tracker": true,
"sku": "S00000000103",
"required_shipping": true,
"id": "18060879464948700761873144",
"inventory_policy": "deny",
"option1": "XXL",
"taxable": true,
"inventory_item_id": "6087946495557900203",
"title": "XXL · White",
"weight": "50.00"
}
],
"vendor": "Shopline",
"body_html": "<p>This is a desription</p>",
"options": [
{
"id": "16160879464948700761743144",
"name": "Size",
"product_id": "16060879464944338685503144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {}
},
{
"product_id": "16060879464944338685503144",
"values": [
"White"
],
"values_images": {},
"id": "16160879464948700761773144",
"name": "Color"
}
],
"product_behavior": "",
"status": "active",
"created_at": "2023-08-28T12:46:37+08:00",
"handle": "my-product-24",
"published_scope": "web",
"title": "My Product 24",
"id": "16060879464944338685503144",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"product_type": "NORMAL",
"published_at": "2023-08-28T12:46:37+08:00"
},
{
"product_type": "NORMAL",
"published_at": "2023-08-28T11:51:57+08:00",
"created_at": "2023-08-28T11:51:57+08:00",
"spu": "S000000001",
"status": "active",
"subtitle": "This is a subtitle",
"body_html": "<p>This is a desription</p>",
"handle": "my-product-22",
"id": "16060878914758692511253144",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"id": "16160878914761712410213144",
"name": "Size",
"product_id": "16060878914758692511253144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {}
},
{
"id": "16160878914761712410243144",
"name": "Color",
"product_id": "16060878914758692511253144",
"values": [
"White"
],
"values_images": {}
}
],
"template_path": "templates/products/detail.html",
"variants": [
{
"option1": "L",
"product_id": "16060878914758692511253144",
"sku": "S00000000101",
"taxable": true,
"barcode": "T00000001",
"compare_at_price": "120.00",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_policy": "continue",
"inventory_quantity": 580,
"option2": "White",
"price": "100.00",
"title": "L · White",
"id": "18060878914761712410193144",
"position": 1,
"weight": "10.00",
"weight_unit": "g",
"required_shipping": true,
"inventory_item_id": "6087891476909399065",
"inventory_tracker": true
},
{
"position": 2,
"taxable": true,
"weight": "50.00",
"id": "18060878914761712410283144",
"inventory_item_id": "6087891476926176283",
"inventory_quantity": 100,
"price": "100.00",
"product_id": "16060878914758692511253144",
"sku": "S00000000102",
"title": "XL · White",
"barcode": "B0000000001",
"compare_at_price": "120.00",
"inventory_policy": "deny",
"inventory_tracker": true,
"required_shipping": true,
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option1": "XL",
"option2": "White",
"weight_unit": "g"
},
{
"id": "18060878914761712410343144",
"inventory_item_id": "6087891476926176282",
"inventory_policy": "deny",
"inventory_quantity": 170,
"option1": "XXL",
"option2": "White",
"required_shipping": true,
"sku": "S00000000103",
"compare_at_price": "120.00",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_tracker": true,
"position": 3,
"price": "100.00",
"taxable": true,
"weight": "50.00",
"title": "XXL · White",
"barcode": "B0000000001",
"product_id": "16060878914758692511253144",
"weight_unit": "g"
}
],
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_behavior": "",
"published_scope": "web",
"tags": "Spring,T shirt",
"title": "My Product 22",
"updated_at": "2023-08-28T19:24:56+08:00",
"vendor": "Shopline"
},
{
"options": [
{
"id": "16160878908677958259643144",
"name": "Size",
"product_id": "16060878908674770588483144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {}
},
{
"id": "16160878908677958259673144",
"name": "Color",
"product_id": "16060878908674770588483144",
"values": [
"White"
],
"values_images": {}
}
],
"published_scope": "web",
"subtitle": "This is a subtitle",
"updated_at": "2023-08-28T19:24:38+08:00",
"variants": [
{
"inventory_quantity": 580,
"inventory_tracker": true,
"option1": "L",
"position": 1,
"price": "100.00",
"id": "18060878908677958259623144",
"product_id": "16060878908674770588483144",
"taxable": true,
"weight": "10.00",
"compare_at_price": "120.00",
"option2": "White",
"required_shipping": true,
"weight_unit": "g",
"inventory_policy": "continue",
"sku": "S00000000101",
"title": "L · White",
"barcode": "T00000001",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087890868584345153"
},
{
"barcode": "B0000000001",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option1": "XL",
"option2": "White",
"position": 2,
"product_id": "16060878908674770588483144",
"id": "18060878908677958259713144",
"inventory_policy": "deny",
"inventory_quantity": 100,
"price": "100.00",
"sku": "S00000000102",
"inventory_tracker": true,
"required_shipping": true,
"taxable": true,
"title": "XL · White",
"weight": "50.00",
"compare_at_price": "120.00",
"inventory_item_id": "6087890868584345151",
"weight_unit": "g"
},
{
"inventory_policy": "deny",
"inventory_tracker": true,
"option2": "White",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"position": 3,
"price": "100.00",
"product_id": "16060878908674770588483144",
"title": "XXL · White",
"id": "18060878908678126031933144",
"inventory_item_id": "6087890868584345152",
"required_shipping": true,
"sku": "S00000000103",
"weight": "50.00",
"weight_unit": "g",
"compare_at_price": "120.00",
"inventory_quantity": 170,
"option1": "XXL",
"taxable": true,
"barcode": "B0000000001"
}
],
"created_at": "2023-08-28T11:51:21+08:00",
"id": "16060878908674770588483144",
"tags": "Spring,T shirt",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"spu": "S000000001",
"template_path": "templates/products/detail.html",
"title": "My Product 21",
"vendor": "Shopline",
"status": "active",
"body_html": "<p>This is a desription</p>",
"handle": "my-product-21",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"product_behavior": "",
"product_type": "NORMAL",
"published_at": "2023-08-28T11:51:21+08:00"
},
{
"published_scope": "web",
"spu": "S000000001",
"template_path": "templates/products/detail.html",
"variants": [
{
"barcode": "T00000001",
"compare_at_price": "120.00",
"id": "18060878902931594024673144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"price": "100.00",
"sku": "S00000000101",
"weight_unit": "g",
"inventory_quantity": 580,
"inventory_tracker": true,
"required_shipping": true,
"weight": "10.00",
"inventory_policy": "continue",
"option1": "White",
"product_id": "16060878902926560859813144",
"title": "White",
"inventory_item_id": "6087890295139080241",
"position": 1,
"taxable": true
}
],
"vendor": "Shopline",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"id": "16160878902931594024693144",
"name": "Color",
"product_id": "16060878902926560859813144",
"values": [
"White"
],
"values_images": {}
}
],
"status": "active",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"subtitle": "This is a subtitle",
"tags": "Spring,T shirt",
"updated_at": "2023-08-28T19:23:56+08:00",
"handle": "my-product-19",
"id": "16060878902926560859813144",
"product_behavior": "",
"published_at": "2023-08-28T11:50:47+08:00",
"title": "My Product 19",
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:50:47+08:00",
"product_type": "NORMAL"
},
{
"vendor": "Shopline",
"id": "16060878900384309254383144",
"options": [],
"subtitle": "This is a subtitle",
"template_path": "templates/products/detail.html",
"created_at": "2023-08-28T11:50:32+08:00",
"images": [
{
"alt": "My Product 17",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"published_scope": "web",
"updated_at": "2023-08-28T11:50:32+08:00",
"variants": [
{
"inventory_policy": "deny",
"price": "100.00",
"required_shipping": true,
"weight": "50.00",
"weight_unit": "g",
"compare_at_price": "120.00",
"inventory_item_id": "6087890040041533931",
"inventory_quantity": 222,
"inventory_tracker": true,
"product_id": "16060878900384309254383144",
"sku": "T0000001",
"barcode": "B0000001",
"position": 1,
"taxable": true,
"id": "18060878900387832469803144"
}
],
"body_html": "<p>This is a desription</p>",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "My Product 17"
},
"product_type": "NORMAL",
"published_at": "2023-08-28T11:50:32+08:00",
"spu": "S0000001",
"tags": "T shirt",
"title": "My Product 18",
"handle": "my-product-18",
"product_behavior": "",
"status": "active"
},
{
"handle": "my-product-17",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "My Product 17"
},
"product_behavior": "",
"status": "draft",
"template_path": "templates/products/detail.html",
"product_type": "NORMAL",
"published_at": "2023-08-28T11:49:48+08:00",
"published_scope": "web",
"updated_at": "2023-08-28T11:49:48+08:00",
"vendor": "Shopline",
"body_html": "<p>This is a desription</p>",
"spu": "S0000001",
"subtitle": "This is a subtitle",
"variants": [
{
"compare_at_price": "120.00",
"inventory_quantity": 222,
"price": "100.00",
"product_id": "16060878893067429883503144",
"inventory_policy": "deny",
"inventory_tracker": true,
"sku": "T0000001",
"taxable": true,
"weight_unit": "g",
"id": "18060878893070953099003144",
"position": 1,
"weight": "50.00",
"barcode": "B0000001",
"inventory_item_id": "6087889308152263615",
"required_shipping": true
}
],
"created_at": "2023-08-28T11:49:48+08:00",
"id": "16060878893067429883503144",
"images": [
{
"alt": "My Product 17",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [],
"tags": "T shirt",
"title": "My Product 17"
},
{
"vendor": "Shopline",
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:46:30+08:00",
"handle": "my-product-16",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
},
"id": "16060878859910114569133144",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"published_at": "2023-08-28T11:46:31+08:00",
"subtitle": "This is a subtitle",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"updated_at": "2023-08-28T19:23:28+08:00",
"variants": [
{
"required_shipping": true,
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_quantity": 580,
"inventory_tracker": true,
"position": 1,
"product_id": "16060878859910114569133144",
"id": "18060878859913134468073144",
"inventory_policy": "continue",
"price": "100.00",
"sku": "S00000000101",
"weight": "10.00",
"weight_unit": "g",
"barcode": "T00000001",
"inventory_item_id": "6087885992420710729",
"option1": "White",
"taxable": true,
"title": "White",
"compare_at_price": "120.00"
}
],
"spu": "S000000001",
"status": "active",
"title": "My Product 16",
"options": [
{
"product_id": "16060878859910114569133144",
"values": [
"White"
],
"values_images": {},
"id": "16160878859913134468093144",
"name": "Color"
}
],
"product_behavior": "",
"product_type": "NORMAL",
"published_scope": "web"
},
{
"created_at": "2023-08-28T11:45:53+08:00",
"id": "16060878853599197112313144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"status": "active",
"variants": [
{
"sku": "S00000000101",
"title": "L · White",
"weight_unit": "g",
"compare_at_price": "120.00",
"inventory_policy": "continue",
"option2": "White",
"position": 1,
"taxable": true,
"option1": "L",
"price": "100.00",
"required_shipping": true,
"weight": "10.00",
"inventory_item_id": "6087885361949712083",
"inventory_quantity": 580,
"inventory_tracker": true,
"barcode": "T00000001",
"id": "18060878853605069127743144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_id": "16060878853599197112313144"
},
{
"inventory_quantity": 100,
"option2": "White",
"title": "XL · White",
"weight": "50.00",
"compare_at_price": "120.00",
"inventory_item_id": "6087885361949712081",
"inventory_policy": "deny",
"option1": "XL",
"required_shipping": true,
"sku": "S00000000102",
"weight_unit": "g",
"barcode": "B0000000001",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"position": 2,
"id": "18060878853605069127833144",
"inventory_tracker": true,
"price": "100.00",
"product_id": "16060878853599197112313144",
"taxable": true
},
{
"required_shipping": true,
"barcode": "B0000000001",
"id": "18060878853605069127893144",
"inventory_policy": "deny",
"option1": "XXL",
"option2": "White",
"weight": "50.00",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"sku": "S00000000103",
"title": "XXL · White",
"weight_unit": "g",
"inventory_item_id": "6087885361949712082",
"price": "100.00",
"product_id": "16060878853599197112313144",
"taxable": true,
"compare_at_price": "120.00",
"inventory_quantity": 170,
"inventory_tracker": true,
"position": 3
}
],
"body_html": "<p>This is a desription</p>",
"published_at": "2023-08-28T11:45:53+08:00",
"subtitle": "This is a subtitle",
"vendor": "Shopline",
"handle": "my-product-15",
"product_behavior": "",
"product_type": "NORMAL",
"published_scope": "web",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"options": [
{
"name": "Size",
"product_id": "16060878853599197112313144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {},
"id": "16160878853605069127763144"
},
{
"product_id": "16060878853599197112313144",
"values": [
"White"
],
"values_images": {},
"id": "16160878853605069127793144",
"name": "Color"
}
],
"spu": "S000000001",
"title": "My Product 15",
"updated_at": "2023-08-28T19:19:05+08:00"
},
{
"body_html": "<p>This is a desription</p>",
"id": "16060878844217209993043144",
"options": [
{
"product_id": "16060878844217209993043144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {},
"id": "16160878844220900980643144",
"name": "Size"
},
{
"product_id": "16060878844217209993043144",
"values": [
"White"
],
"values_images": {},
"id": "16160878844220900980673144",
"name": "Color"
}
],
"product_type": "NORMAL",
"status": "active",
"subtitle": "This is a subtitle",
"title": "My Product 12",
"published_at": "2023-08-28T11:44:57+08:00",
"published_scope": "web",
"spu": "S000000001",
"variants": [
{
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"position": 1,
"weight": "10.00",
"id": "18060878844220900980623144",
"inventory_quantity": 580,
"required_shipping": true,
"title": "L · White",
"barcode": "T00000001",
"compare_at_price": "120.00",
"inventory_item_id": "6087884423331583696",
"inventory_policy": "continue",
"inventory_tracker": true,
"option1": "L",
"option2": "White",
"price": "100.00",
"product_id": "16060878844217209993043144",
"sku": "S00000000101",
"taxable": true,
"weight_unit": "g"
},
{
"title": "XL · White",
"weight": "50.00",
"id": "18060878844220900980713144",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_quantity": 100,
"price": "100.00",
"required_shipping": true,
"taxable": true,
"inventory_item_id": "6087884423331583697",
"inventory_tracker": true,
"weight_unit": "g",
"compare_at_price": "120.00",
"inventory_policy": "deny",
"product_id": "16060878844217209993043144",
"sku": "S00000000102",
"barcode": "B0000000001",
"option1": "XL",
"option2": "White",
"position": 2
},
{
"weight_unit": "g",
"inventory_tracker": true,
"product_id": "16060878844217209993043144",
"barcode": "B0000000001",
"id": "18060878844220900980773144",
"option2": "White",
"sku": "S00000000103",
"title": "XXL · White",
"compare_at_price": "120.00",
"inventory_item_id": "6087884423331583698",
"inventory_policy": "deny",
"option1": "XXL",
"price": "100.00",
"weight": "50.00",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_quantity": 170,
"position": 3,
"required_shipping": true,
"taxable": true
}
],
"created_at": "2023-08-28T11:44:57+08:00",
"handle": "my-product-12",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"template_path": "templates/products/detail.html",
"updated_at": "2023-08-28T19:22:51+08:00",
"vendor": "Shopline",
"product_behavior": "",
"tags": "Spring,T shirt"
},
{
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:44:45+08:00",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"status": "active",
"handle": "my-product-11",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"spu": "S000000001",
"tags": "Spring,T shirt",
"variants": [
{
"barcode": "T00000001",
"id": "18060878842258805698383144",
"price": "100.00",
"product_id": "16060878842253940305683144",
"compare_at_price": "120.00",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087884227675691860",
"position": 1,
"sku": "S00000000101",
"taxable": true,
"inventory_quantity": 580,
"weight": "10.00",
"weight_unit": "g",
"required_shipping": true,
"inventory_policy": "continue",
"inventory_tracker": true,
"option1": "L",
"option2": "White",
"title": "L · White"
},
{
"product_id": "16060878842253940305683144",
"compare_at_price": "120.00",
"inventory_policy": "deny",
"price": "100.00",
"taxable": true,
"weight": "50.00",
"weight_unit": "g",
"position": 2,
"required_shipping": true,
"title": "XL · White",
"barcode": "B0000000001",
"inventory_item_id": "6087884227675691861",
"inventory_quantity": 100,
"inventory_tracker": true,
"option2": "White",
"sku": "S00000000102",
"id": "18060878842258805698473144",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "My Product-10"
},
"option1": "XL"
},
{
"inventory_quantity": 170,
"option1": "XXL",
"weight": "50.00",
"id": "18060878842258805698533144",
"title": "XXL · White",
"price": "100.00",
"required_shipping": true,
"compare_at_price": "120.00",
"inventory_tracker": true,
"option2": "White",
"taxable": true,
"weight_unit": "g",
"barcode": "B0000000001",
"sku": "S00000000103",
"position": 3,
"product_id": "16060878842253940305683144",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "My Product-10"
},
"inventory_item_id": "6087884227675691859",
"inventory_policy": "deny"
}
],
"id": "16060878842253940305683144",
"product_behavior": "",
"product_type": "NORMAL",
"published_at": "2023-08-28T11:44:45+08:00",
"title": "My Product 11",
"options": [
{
"values": [
"L",
"XL",
"XXL"
],
"values_images": {},
"id": "16160878842258805698403144",
"name": "Size",
"product_id": "16060878842253940305683144"
},
{
"id": "16160878842258805698433144",
"name": "Color",
"product_id": "16060878842253940305683144",
"values": [
"White"
],
"values_images": {}
}
],
"published_scope": "web",
"subtitle": "This is a subtitle",
"template_path": "templates/products/detail.html",
"updated_at": "2023-08-28T19:22:27+08:00",
"vendor": "Shopline"
},
{
"subtitle": "This is a subtitle",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"title": "My Product 10",
"variants": [
{
"inventory_policy": "continue",
"position": 1,
"product_id": "16060878828158562308823144",
"required_shipping": true,
"taxable": true,
"inventory_quantity": 580,
"option1": "L",
"sku": "S00000000101",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087882817500376541",
"inventory_tracker": true,
"option2": "White",
"price": "100.00",
"title": "L · White",
"weight_unit": "g",
"compare_at_price": "120.00",
"weight": "10.00",
"barcode": "T00000001",
"id": "18060878828164098790163144"
},
{
"barcode": "B0000000001",
"inventory_tracker": true,
"option1": "XL",
"position": 2,
"price": "100.00",
"product_id": "16060878828158562308823144",
"taxable": true,
"compare_at_price": "120.00",
"id": "18060878828164098790253144",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_policy": "deny",
"inventory_quantity": 100,
"title": "XL · White",
"option2": "White",
"weight": "50.00",
"weight_unit": "g",
"inventory_item_id": "6087882817483599323",
"required_shipping": true,
"sku": "S00000000102"
},
{
"product_id": "16060878828158562308823144",
"compare_at_price": "120.00",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087882817500376540",
"inventory_tracker": true,
"option2": "White",
"title": "XXL · White",
"inventory_policy": "deny",
"inventory_quantity": 170,
"option1": "XXL",
"price": "100.00",
"sku": "S00000000103",
"barcode": "B0000000001",
"id": "18060878828164098790313144",
"position": 3,
"required_shipping": true,
"taxable": true,
"weight": "50.00",
"weight_unit": "g"
}
],
"body_html": "<p>This is a desription</p>",
"handle": "my-product-10",
"id": "16060878828158562308823144",
"published_at": "2023-08-28T11:43:21+08:00",
"published_scope": "web",
"spu": "S000000001",
"vendor": "Shopline",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"values_images": {},
"id": "16160878828164098790183144",
"name": "Size",
"product_id": "16060878828158562308823144",
"values": [
"L",
"XL",
"XXL"
]
},
{
"id": "16160878828164098790213144",
"name": "Color",
"product_id": "16060878828158562308823144",
"values": [
"White"
],
"values_images": {}
}
],
"product_type": "NORMAL",
"status": "draft",
"product_behavior": "",
"updated_at": "2023-08-28T19:22:11+08:00",
"created_at": "2023-08-28T11:43:21+08:00"
},
{
"product_type": "NORMAL",
"published_at": "2023-08-28T11:41:49+08:00",
"published_scope": "web",
"tags": "Spring,T shirt",
"updated_at": "2023-08-28T19:21:54+08:00",
"vendor": "Shopline",
"created_at": "2023-08-28T11:41:49+08:00",
"handle": "my-product-9",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"id": "16160878812697183331123144",
"name": "Size",
"product_id": "16060878812694163432133144",
"values": [
"L"
],
"values_images": {}
},
{
"id": "16160878812697183331153144",
"name": "Color",
"product_id": "16060878812694163432133144",
"values": [
"White"
],
"values_images": {}
}
],
"product_behavior": "",
"subtitle": "This is a subtitle",
"title": "My Product 9",
"variants": [
{
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"sku": "S00000000101",
"weight_unit": "g",
"inventory_policy": "continue",
"option2": "White",
"price": "100.00",
"product_id": "16060878812694163432133144",
"title": "L · White",
"weight": "10.00",
"compare_at_price": "120.00",
"inventory_quantity": 580,
"inventory_tracker": true,
"position": 1,
"required_shipping": true,
"barcode": "T00000001",
"id": "18060878812697183331103144",
"inventory_item_id": "6087881271026916318",
"option1": "L",
"taxable": true
}
],
"id": "16060878812694163432133144",
"status": "active",
"spu": "S000000001",
"template_path": "templates/products/detail.html",
"body_html": "<p>This is a desription</p>",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
}
},
{
"body_html": "<p>This is a desription</p>",
"handle": "my-product-8",
"subtitle": "This is a subtitle",
"title": "My Product 8",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"product_type": "NORMAL",
"vendor": "Shopline",
"options": [
{
"id": "16160878809748755328603144",
"name": "Size",
"product_id": "16060878809745399885323144",
"values": [
"L"
],
"values_images": {}
},
{
"values": [
"White"
],
"values_images": {},
"id": "16160878809748755328633144",
"name": "Color",
"product_id": "16060878809745399885323144"
}
],
"published_scope": "web",
"spu": "S000000001",
"status": "draft",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"updated_at": "2023-08-28T19:21:38+08:00",
"created_at": "2023-08-28T11:41:31+08:00",
"id": "16060878809745399885323144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_behavior": "",
"published_at": "2023-08-28T11:41:32+08:00",
"variants": [
{
"inventory_item_id": "6087880976318338472",
"product_id": "16060878809745399885323144",
"title": "L · White",
"weight": "10.00",
"compare_at_price": "120.00",
"id": "18060878809748755328583144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_quantity": 580,
"option2": "White",
"position": 1,
"required_shipping": true,
"barcode": "T00000001",
"inventory_policy": "continue",
"option1": "L",
"price": "100.00",
"taxable": true,
"weight_unit": "g",
"inventory_tracker": true,
"sku": "S00000000101"
}
]
},
{
"body_html": "<p>This is a desription</p>",
"options": [
{
"id": "16160878805195586675963144",
"name": "Size",
"product_id": "16060878805157334623403144",
"values": [
"L"
],
"values_images": {}
},
{
"id": "16160878805195586675993144",
"name": "Color",
"product_id": "16060878805157334623403144",
"values": [
"White"
],
"values_images": {}
}
],
"product_type": "NORMAL",
"published_scope": "web",
"spu": "S000000001",
"title": "My Product 7",
"id": "16060878805157334623403144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"product_behavior": "",
"template_path": "templates/products/detail.html",
"updated_at": "2023-08-28T19:21:25+08:00",
"created_at": "2023-08-28T11:41:04+08:00",
"published_at": "2023-08-28T11:41:04+08:00",
"status": "active",
"subtitle": "This is a subtitle",
"handle": "my-product-7",
"tags": "Spring,T shirt",
"variants": [
{
"barcode": "T00000001",
"id": "18060878805195586675943144",
"position": 1,
"required_shipping": true,
"title": "L · White",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
},
"inventory_item_id": "6087880520816924187",
"inventory_quantity": 580,
"inventory_tracker": true,
"price": "100.00",
"sku": "S00000000101",
"taxable": true,
"compare_at_price": "120.00",
"option1": "L",
"product_id": "16060878805157334623403144",
"inventory_policy": "continue",
"option2": "White",
"weight": "10.00",
"weight_unit": "g"
}
],
"vendor": "Shopline"
},
{
"subtitle": "This is a subtitle",
"title": "My Product 6",
"updated_at": "2023-08-28T19:21:12+08:00",
"vendor": "Shopline",
"template_path": "templates/products/detail.html",
"variants": [
{
"product_id": "16060878793894789540103144",
"required_shipping": true,
"id": "18060878793897473894733144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087879390267470482",
"inventory_policy": "continue",
"inventory_tracker": true,
"weight_unit": "g",
"barcode": "T00000001",
"compare_at_price": "120.00",
"option1": "L",
"taxable": true,
"inventory_quantity": 580,
"option2": "White",
"position": 1,
"sku": "S00000000101",
"weight": "10.00",
"price": "100.00",
"title": "L · White"
}
],
"created_at": "2023-08-28T11:39:57+08:00",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_type": "NORMAL",
"published_scope": "web",
"spu": "S000000001",
"status": "active",
"tags": "Spring,T shirt",
"body_html": "<p>This is a desription</p>",
"handle": "my-product-6",
"id": "16060878793894789540103144",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"name": "Size",
"product_id": "16060878793894789540103144",
"values": [
"L"
],
"values_images": {},
"id": "16160878793897473894753144"
},
{
"name": "Color",
"product_id": "16060878793894789540103144",
"values": [
"White"
],
"values_images": {},
"id": "16160878793897473894783144"
}
],
"product_behavior": "",
"published_at": "2023-08-28T11:39:57+08:00"
},
{
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:39:24+08:00",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"options": [
{
"id": "16160878788430953681023144",
"name": "Size",
"product_id": "16060878788425249427503144",
"values": [
"L"
],
"values_images": {}
},
{
"id": "16160878788430953681053144",
"name": "Color",
"product_id": "16060878788425249427503144",
"values": [
"White"
],
"values_images": {}
}
],
"published_at": "2023-08-28T11:39:24+08:00",
"spu": "S000000001",
"title": "My Product 5",
"updated_at": "2023-08-28T19:20:58+08:00",
"product_behavior": "",
"status": "active",
"subtitle": "This is a subtitle",
"template_path": "templates/products/detail.html",
"handle": "my-product-5",
"images": [
{
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
}
],
"product_type": "NORMAL",
"published_scope": "web",
"tags": "Spring,T shirt",
"variants": [
{
"title": "L · White",
"weight": "10.00",
"inventory_policy": "continue",
"option1": "L",
"weight_unit": "g",
"barcode": "T00000001",
"option2": "White",
"position": 1,
"id": "18060878788430953681003144",
"inventory_quantity": 580,
"price": "100.00",
"sku": "S00000000101",
"taxable": true,
"required_shipping": true,
"compare_at_price": "120.00",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087878844135533777",
"inventory_tracker": true,
"product_id": "16060878788425249427503144"
}
],
"vendor": "Shopline",
"id": "16060878788425249427503144"
},
{
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_behavior": "",
"status": "active",
"tags": "T shirt",
"template_path": "templates/products/detail.html",
"handle": "my-product-4",
"id": "16060878780250550864763144",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"name": "Size",
"product_id": "16060878780250550864763144",
"values": [
"L"
],
"values_images": {},
"id": "16160878780253235219403144"
},
{
"id": "16160878780253235219433144",
"name": "Color",
"product_id": "16060878780250550864763144",
"values": [
"White"
],
"values_images": {}
}
],
"product_type": "NORMAL",
"vendor": "Shopline",
"body_html": "<p>This is a desription</p>",
"spu": "S000000001",
"subtitle": "This is a subtitle",
"title": "My Product 4",
"updated_at": "2023-08-28T19:20:45+08:00",
"created_at": "2023-08-28T11:38:36+08:00",
"published_at": "2023-08-28T11:38:36+08:00",
"published_scope": "web",
"variants": [
{
"inventory_policy": "continue",
"price": "100.00",
"title": "L · White",
"weight_unit": "g",
"compare_at_price": "120.00",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_quantity": 580,
"option1": "L",
"required_shipping": true,
"taxable": true,
"weight": "10.00",
"barcode": "T00000001",
"id": "18060878780253235219383144",
"inventory_item_id": "6087878026296561554",
"inventory_tracker": true,
"option2": "White",
"position": 1,
"product_id": "16060878780250550864763144",
"sku": "S00000000101"
}
]
},
{
"subtitle": "This is a subtitle",
"id": "16060878774137772265913144",
"options": [
{
"id": "16160878774142805430793144",
"name": "Size",
"product_id": "16060878774137772265913144",
"values": [
"L"
],
"values_images": {}
},
{
"id": "16160878774142805430823144",
"name": "Color",
"product_id": "16060878774137772265913144",
"values": [
"White"
],
"values_images": {}
}
],
"product_type": "NORMAL",
"published_at": "2023-08-28T11:37:59+08:00",
"handle": "my-product-3",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"published_scope": "web",
"spu": "S000000001",
"template_path": "templates/products/detail.html",
"variants": [
{
"product_id": "16060878774137772265913144",
"taxable": true,
"inventory_policy": "continue",
"inventory_quantity": 580,
"inventory_tracker": true,
"title": "L · White",
"weight_unit": "g",
"option1": "L",
"position": 1,
"weight": "10.00",
"compare_at_price": "120.00",
"id": "18060878774142805430773144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option2": "White",
"required_shipping": true,
"sku": "S00000000101",
"barcode": "T00000001",
"inventory_item_id": "6087877415152938177",
"price": "100.00"
}
],
"vendor": "Shopline",
"status": "draft",
"body_html": "<p>This is a desription</p>",
"created_at": "2023-08-28T11:37:59+08:00",
"images": [
{
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
}
],
"product_behavior": "",
"tags": "T shirt",
"title": "My Product 3",
"updated_at": "2023-08-28T19:20:32+08:00"
},
{
"created_at": "2023-08-28T11:37:32+08:00",
"options": [
{
"product_id": "16060878769549874798573144",
"values": [
"L"
],
"values_images": {},
"id": "16160878769553398014013144",
"name": "Size"
},
{
"id": "16160878769553398014043144",
"name": "Color",
"product_id": "16060878769549874798573144",
"values": [
"White"
],
"values_images": {}
}
],
"published_at": "2023-08-28T11:37:32+08:00",
"subtitle": "This is a subtitle",
"vendor": "Shopline",
"body_html": "<p>This is a desription</p>",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"spu": "S000000001",
"status": "active",
"title": "My Product 2",
"updated_at": "2023-08-28T19:18:17+08:00",
"product_behavior": "",
"product_type": "NORMAL",
"tags": "T shirt,Spring",
"template_path": "templates/products/detail.html",
"variants": [
{
"id": "18060878769553398013993144",
"inventory_item_id": "6087876956094755808",
"weight_unit": "g",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option1": "L",
"compare_at_price": "120.00",
"inventory_policy": "continue",
"inventory_tracker": true,
"option2": "White",
"position": 1,
"product_id": "16060878769549874798573144",
"sku": "S00000000101",
"inventory_quantity": 580,
"price": "100.00",
"required_shipping": true,
"taxable": true,
"title": "L · White",
"weight": "10.00",
"barcode": "T00000001"
}
],
"handle": "my-product-2",
"id": "16060878769549874798573144",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"published_scope": "web"
},
{
"handle": "my-product-13",
"spu": "S000000001",
"updated_at": "2023-08-28T19:32:57+08:00",
"id": "16060878847266804612583144",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"images": [
{
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
}
],
"product_behavior": "",
"published_at": "2023-08-28T11:45:15+08:00",
"subtitle": "This is a subtitle",
"variants": [
{
"taxable": true,
"weight": "10.00",
"weight_unit": "g",
"position": 1,
"price": "100.00",
"product_id": "16060878847266804612583144",
"sku": "S00000000101",
"barcode": "T00000001",
"option1": "L",
"required_shipping": true,
"compare_at_price": "120.00",
"inventory_tracker": true,
"option2": "White",
"title": "L · White",
"id": "18060878847269824511623144",
"image": {
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
"alt": "This is a alt"
},
"inventory_item_id": "6087884728240708834",
"inventory_policy": "continue",
"inventory_quantity": 580
},
{
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_tracker": true,
"option1": "XL",
"sku": "S00000000102",
"title": "XL · White",
"weight_unit": "g",
"barcode": "B0000000001",
"inventory_item_id": "6087884728240708835",
"inventory_policy": "deny",
"option2": "White",
"price": "100.00",
"inventory_quantity": 100,
"taxable": true,
"product_id": "16060878847266804612583144",
"required_shipping": true,
"compare_at_price": "120.00",
"id": "18060878847269824511713144",
"position": 2,
"weight": "50.00"
},
{
"barcode": "B0000000001",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087884728240708836",
"inventory_policy": "deny",
"inventory_quantity": 170,
"inventory_tracker": true,
"title": "XXL · White",
"position": 3,
"taxable": true,
"weight": "50.00",
"option1": "XXL",
"option2": "White",
"product_id": "16060878847266804612583144",
"compare_at_price": "120.00",
"id": "18060878847269824511773144",
"sku": "S00000000103",
"price": "100.00",
"weight_unit": "g",
"required_shipping": true
}
],
"vendor": "Shopline",
"body_html": "<p>This is a desription</p>",
"product_type": "NORMAL",
"published_scope": "web",
"template_path": "templates/products/detail.html",
"title": "My Product 13",
"options": [
{
"values_images": {},
"id": "16160878847269824511643144",
"name": "Size",
"product_id": "16060878847266804612583144",
"values": [
"L",
"XL",
"XXL"
]
},
{
"id": "16160878847269824511673144",
"name": "Color",
"product_id": "16060878847266804612583144",
"values": [
"White"
],
"values_images": {}
}
],
"status": "archived",
"tags": "Spring,T shirt",
"created_at": "2023-08-28T11:45:15+08:00"
},
{
"body_html": "<p>This is a desription</p>",
"id": "16060878850545743695513144",
"images": [
{
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"published_at": "2023-08-28T11:45:35+08:00",
"subtitle": "This is a subtitle",
"vendor": "Shopline",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"product_behavior": "",
"variants": [
{
"position": 1,
"product_id": "16060878850545743695513144",
"taxable": true,
"title": "L · White",
"weight_unit": "g",
"barcode": "T00000001",
"inventory_quantity": 580,
"option1": "L",
"price": "100.00",
"required_shipping": true,
"id": "18060878850550105771733144",
"inventory_item_id": "6087885056453385358",
"weight": "10.00",
"compare_at_price": "120.00",
"inventory_policy": "continue",
"inventory_tracker": true,
"sku": "S00000000101",
"image": {
"alt": "This is a alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option2": "White"
},
{
"inventory_quantity": 100,
"option2": "White",
"position": 2,
"title": "XL · White",
"weight_unit": "g",
"id": "18060878850550105771823144",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087885056453385359",
"option1": "XL",
"product_id": "16060878850545743695513144",
"weight": "50.00",
"barcode": "B0000000001",
"inventory_policy": "deny",
"inventory_tracker": true,
"price": "100.00",
"sku": "S00000000102",
"taxable": true,
"compare_at_price": "120.00",
"required_shipping": true
},
{
"id": "18060878850550105771883144",
"inventory_policy": "deny",
"inventory_tracker": true,
"option2": "White",
"weight_unit": "g",
"barcode": "B0000000001",
"inventory_quantity": 170,
"position": 3,
"price": "100.00",
"product_id": "16060878850545743695513144",
"weight": "50.00",
"compare_at_price": "120.00",
"inventory_item_id": "6087885056453385357",
"sku": "S00000000103",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"option1": "XXL",
"required_shipping": true,
"taxable": true,
"title": "XXL · White"
}
],
"created_at": "2023-08-28T11:45:35+08:00",
"handle": "my-product-14",
"published_scope": "web",
"status": "archived",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"title": "My Product 14",
"options": [
{
"id": "16160878850550105771753144",
"name": "Size",
"product_id": "16060878850545743695513144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {}
},
{
"values": [
"White"
],
"values_images": {},
"id": "16160878850550105771783144",
"name": "Color",
"product_id": "16060878850545743695513144"
}
],
"product_type": "NORMAL",
"spu": "S000000001",
"updated_at": "2023-08-28T19:23:04+08:00"
}
]
}
Was this article helpful to you?